Subject: Re: [Stackevo] Comments about draft-hardie-path-signals

From: Ted Hardie <[email-masked]>
Date: Wed, 6 Dec 2017 09:57:56 -0800

Hi Med,

Thanks for the review; adding in the stack evo list, since there has also
been past review there.

You're right that this document does not focus on out of band mechanisms,
and I had not seen draft-penno-pcp-asdn-00.    I probably will not
introduce a discussion of it here, but I would be interested to know if
there are implementations and which IETF groups are discussing it.

I'm a little curious about the 3.1.x you proposed for Flow stability; are
there topics outside path preservation you see in that bucket?

By any chance do you have a reference for the terms "Endpoint dependent
filtering" and "Endpoint independent filtering"?

Thanks again for the review,

Ted

On Wed, Dec 6, 2017 at 6:56 AM, <[email-masked]> wrote:

> Dear Ted,
>
>
>
> Please find some comments to this draft at:
>
>
>
> https://github.com/boucadair/IETF-Drafts-Reviews/blob/
> master/draft-hardie-path-signals-02-rev%20Med.pdf
>
>
>
> Cheers,
>
> Med
>

---

From: <[email-masked]>
Date: Thu, 7 Dec 2017 07:27:55 +0000

Hi Ted,

Please see inline.

Cheers,
Med

De : Ted Hardie [mailto:[email-masked]]
Envoyé : mercredi 6 décembre 2017 18:58
À : BOUCADAIR Mohamed IMT/OLN; Stackevo
Objet : Re: Comments about draft-hardie-path-signals

Hi Med,

Thanks for the review; adding in the stack evo list, since there has also been past review there.
You're right that this document does not focus on out of band mechanisms, and I had not seen draft-penno-pcp-asdn-00.    I probably will not introduce a discussion of it here, but I would be interested to know if there are implementations
[Med] I’m aware of the following:

·         PoC code in Cisco ASR9K, Webex, Linux, ISR + NBAR, ISR + Firewall

·         MiniUPnP integration

·         Integration with Transmission Bittorrent Client
and which IETF groups are discussing it.
[Med] Actually, there is no home for that work.
I'm a little curious about the 3.1.x you proposed for Flow stability; are there topics outside path preservation you see in that bucket?
[Med] Path preservation is the main point here from a network provider perspective. Topics such as Proof of Transit and the like are not my concern.

There might be some “path preservation/selection” concerns from a user standpoint. For example let’s consider a host that is connected behind a home CPE. Let’s consider that CPE is connected to both a cellular network and a fixed network. For the sake of resource pooling, the CPE may distribute flows/packets among available paths, but blindly distributing packets may have some implications on the quality or may lead to consume quickly the volume quota of a given subscription (cellular, likely). Having a “transport signal” to assist the CPE to select the appropriate path(s) is worth to be investigated.

By any chance do you have a reference for the terms "Endpoint dependent filtering" and "Endpoint independent filtering"?

[Med] Sure. Please check Section 5 of RFC 4787.

Ted

On Wed, Dec 6, 2017 at 6:56 AM, <[email-masked]<mailto:[email-masked]>> wrote:
Dear Ted,

https://github.com/boucadair/IETF-Drafts-Reviews/blob/master/draft-hardie-path-signals-02-rev%20Med.pdf

Cheers,
Med